using System;
using System.Collections.Generic;
using Iesi.Collections.Generic;

namespace NorthwindExample.ConsoleApp {
    public class Customer {
        private readonly string m_CustomerID;
        private string m_CompanyName;
        private Location m_Location;
        private ISet<Order> m_Orders;

        public Customer() {
        }

        public Customer(string customerID, string companyName, Location location) {
            m_CustomerID = customerID;
            m_CompanyName = companyName;
            m_Location = location;
        }

        public string CustomerID {
            get { return m_CustomerID; }
        }

        public string CompanyName {
            get { return m_CompanyName; }
            set { m_CompanyName = value; }
        }

        public Location Location {
            get { return m_Location; }
        }

        public ISet<Order> Orders {
            get { return m_Orders; }
            set { m_Orders = value; }
        }

        public void AddOrder(DateTime orderDate) {
            m_Orders.Add(new Order(orderDate));
        }
    }
}